/*
 * Copyright (C) 2021-2024 Bundesministerium des Innern und für Heimat, Referat DG II 6, Maßnahmen Enterprise Resource Management und Elektronische Verwaltungsarbeit
 *
 * SPDX-License-Identifier: MPL-2.0
 */

@import '~@plateg/theme/styles/plateg-variables.less';

.fazit-component {
  ul {
    margin: 0;
    padding: 0;
    list-style: none;
    li {
      .title-holder {
        margin-bottom: 16px;
        .ant-checkbox-wrapper {
          border-radius: 3px;
          background: @platform-blue3;
          font-weight: 500;
          padding: 10px 15px;
          display: flex;
          .ant-checkbox {
            align-self: flex-start;
            margin-top: 4px;
          }
        }
      }
    }
  }

  .regelungsalternativen-list {
    .nonBreakingArea {
      display: flex;
      .normalBreakingArea {
        display: block;
        flex-grow: 1;
      }
      .rang {
        align-self: center;
      }
    }
  }

  .form-item-label-with-tooltip {
    .ant-form-item-label {
      max-height: 31px;
      label {
        width: 100%;
      }
      .tooltip {
        text-align-last: end;
      }

      .tooltip-icon {
        &:hover,
        &:focus {
          .anticon {
            display: none;
          }
          .active-icon {
            display: inline-block;
          }
        }
        .active-icon {
          display: none;
        }
      }
    }
  }
}
